package com.ruoyi.syzy.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.mxjb.domain.SubmitYearsStats;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 院校招生计划对象 b_busi_wish_university_submit_recruit_plan
 *
 * @author mingxue
 * @date 2022-06-29
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BBusiWishUniversitySubmitRecruitPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 院校招生代码 */
    @Excel(name = "院校招生代码")
    private String collegeCode;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;

    /** 批次，对应表中level */
    @Excel(name = "批次，对应表中level")
    private Long batch;

    /** 层次 */
    @Excel(name = "层次")
    private String level;

    /** 科类： 1理科(物理)，0文科(历史), 2文理不分 */
    @Excel(name = "科类： 1理科(物理)，0文科(历史), 2文理不分")
    private Integer liberalScience;

    /** 类别 */
    @Excel(name = "类别")
    private String type;

    /** 代码 */
    @Excel(name = "代码")
    private String marjorId;

    /** 院校 */
    @Excel(name = "院校")
    private Long universityId;

    /** 院校编码 */
    @Excel(name = "院校编码")
    private String universityCode;

    /** 院校名 */
    @Excel(name = "院校名")
    private String universityName;
    private String universityNameText;

    /** 专业名 */
    @Excel(name = "专业名")
    private String marjorName;
    private String marjorNameText;
    private String marjorCode;
    /** 包含专业 */
    @Excel(name = "包含专业")
    private String marjorBelongs;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String marjorDirection;

    /** 专项 */
    @Excel(name = "专项")
    private String specialProject;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    /** 计划数 */
    @Excel(name = "计划数")
    private Integer planCount;

    /** 计划类型 */
    @Excel(name = "计划类型")
    private String planType;

    /** 学费 */
    @Excel(name = "学费")
    private String xuefei;

    /** 学制 */
    @Excel(name = "学制")
    private String xuezhi;
    /** 学制 */
    @Excel(name = "选考科目")
    private String course;

    /**
     * 组别
     */
    private String group;
    private String groups;
    private String groupsName;

    private Integer majorCount;
    private Boolean enrollFluctuate;

    private SubmitYearsStats stats;
    private List<BBusiWishUniversitySubmitMarjors> bindEnrollList;

    public String getMarjorCode() {
        return marjorCode;
    }

    public void setMarjorCode(String marjorCode) {
        this.marjorCode = marjorCode;
    }

    public String getUniversityNameText() {
        return universityNameText;
    }

    public void setUniversityNameText(String universityNameText) {
        this.universityNameText = universityNameText;
    }

    public List<BBusiWishUniversitySubmitMarjors> getBindEnrollList() {
        return bindEnrollList;
    }

    public void setBindEnrollList(List<BBusiWishUniversitySubmitMarjors> bindEnrollList) {
        this.bindEnrollList = bindEnrollList;
    }

    public String getMarjorNameText() {
        return marjorNameText;
    }

    public void setMarjorNameText(String marjorNameText) {
        this.marjorNameText = marjorNameText;
    }

    public String getGroup() {
        //广东的使用groupsName
        return StringUtils.isNotEmpty(this.groupsName)?this.groupsName:StringUtils.getVoluntaryGroup(this.collegeCode);    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getGroups() {
        return groups;
    }

    public void setGroups(String groups) {
        this.groups = groups;
    }

    public String getGroupsName() {
        return groupsName;
    }

    public void setGroupsName(String groupsName) {
        this.groupsName = groupsName;
    }

    public String getCourse() {
        return course;
    }

    public void setCourse(String course) {
        this.course = course;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode()
    {
        return collegeCode;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setBatch(Long batch)
    {
        this.batch = batch;
    }

    public Long getBatch()
    {
        return batch;
    }
    public void setLevel(String level)
    {
        this.level = level;
    }

    public String getLevel()
    {
        return level;
    }
    public void setLiberalScience(Integer liberalScience)
    {
        this.liberalScience = liberalScience;
    }

    public Integer getLiberalScience()
    {
        return liberalScience;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setMarjorId(String marjorId)
    {
        this.marjorId = marjorId;
    }

    public String getMarjorId()
    {
        return marjorId;
    }
    public void setUniversityId(Long universityId)
    {
        this.universityId = universityId;
    }

    public Long getUniversityId()
    {
        return universityId;
    }
    public void setUniversityCode(String universityCode)
    {
        this.universityCode = universityCode;
    }

    public String getUniversityCode()
    {
        return universityCode;
    }
    public void setUniversityName(String universityName)
    {
        this.universityName = universityName;
    }

    public String getUniversityName()
    {
        return universityName;
    }
    public void setMarjorName(String marjorName)
    {
        this.marjorName = marjorName;
    }

    public String getMarjorName()
    {
        return marjorName;
    }
    public void setMarjorBelongs(String marjorBelongs)
    {
        this.marjorBelongs = marjorBelongs;
    }

    public String getMarjorBelongs()
    {
        return marjorBelongs;
    }
    public void setMarjorDirection(String marjorDirection)
    {
        this.marjorDirection = marjorDirection;
    }

    public String getMarjorDirection()
    {
        return marjorDirection;
    }

    public void setSpecialProject(String specialProject) {
        this.specialProject = specialProject;
    }

    public String getSpecialProject() {
        return specialProject;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setPlanCount(Integer planCount)
    {
        this.planCount = planCount;
    }

    public Integer getPlanCount()
    {
        return planCount;
    }
    public void setPlanType(String planType)
    {
        this.planType = planType;
    }

    public String getPlanType()
    {
        return planType;
    }
    public void setXuefei(String xuefei)
    {
        this.xuefei = xuefei;
    }

    public String getXuefei()
    {
        return xuefei;
    }
    public void setXuezhi(String xuezhi)
    {
        this.xuezhi = xuezhi;
    }

    public String getXuezhi()
    {
        return xuezhi;
    }

    public Integer getMajorCount() {
        return majorCount;
    }

    public void setMajorCount(Integer majorCount) {
        this.majorCount = majorCount;
    }

    public Boolean getEnrollFluctuate() {
        return enrollFluctuate;
    }

    public void setEnrollFluctuate(Boolean enrollFluctuate) {
        this.enrollFluctuate = enrollFluctuate;
    }

    public SubmitYearsStats getStats() {
        return stats;
    }

    public void setStats(SubmitYearsStats stats) {
        this.stats = stats;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("collegeCode", getCollegeCode())
            .append("year", getYear())
            .append("location", getLocation())
            .append("batch", getBatch())
            .append("level", getLevel())
            .append("liberalScience", getLiberalScience())
            .append("type", getType())
            .append("marjorId", getMarjorId())
            .append("universityId", getUniversityId())
            .append("universityCode", getUniversityCode())
            .append("universityName", getUniversityName())
            .append("marjorName", getMarjorName())
            .append("marjorBelongs", getMarjorBelongs())
            .append("marjorDirection", getMarjorDirection())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .append("planCount", getPlanCount())
            .append("planType", getPlanType())
            .append("xuefei", getXuefei())
            .append("xuezhi", getXuezhi())
            .toString();
    }

    public static void main(String[] args) {

        String aaa = "1001003".substring("1001003".length()-3);
        String bbb = "第"+Integer.parseInt("010")+"组";
        System.out.println(aaa);
        System.out.println(bbb);
    }
}
